#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  General Libraries

- Next

  Apr-Util-1.6.1

- Up
- Home

# Apr-1.7.0

## Introduction to Apr

The Apache Portable Runtime (APR) is a supporting library for the Apache web server. It provides a set of application programming interfaces (APIs) that map to the underlying Operating System (OS). Where the OS doesn't support a particular function, APR will provide an emulation. Thus programmers can use the APR to make a program portable across different platforms.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://archive.apache.org/dist/apr/apr-1.7.0.tar.bz2

- Download (FTP): ftp://ftp.mirrorservice.org/sites/ftp.apache.org/apr/apr-1.7.0.tar.bz2

- Download MD5 sum: 7a14a83d664e87599ea25ff4432e48a7

- Download size: 852 KB

- Estimated disk space required: 11 MB (additional 4 MB for the tests)

- Estimated build time: 0.2 SBU (add 1.7 SBU for tests)

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/apr

## Installation of Apr

Install Apr by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --with-installbuilddir=/usr/share/apr-1/build &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Program: apr-1-config
Installed Library: libapr-1.so
Installed Directories: /usr/include/apr-1 and /usr/share/apr-1

### Short Descriptions

apr-1-config | is a shell script used to retrieve information about the apr library in the system. It is typically used to compile and link against the library
`libapr-1.so` | is the Apache Portable Runtime library

Last updated on 2021-02-19 22:13:48 -0800

- Prev

  General Libraries

- Next

  Apr-Util-1.6.1

- Up
- Home